@import url('https://fonts.googleapis.com/css2?family=Anton&family=Libre+Baskerville:ital,wght@0,400;0,700;1,400&family=Oswald:wght@200;300;400;500;600;700&family=Roboto+Condensed:ital,wght@0,300;0,400;0,700;1,300;1,400;1,700&family=Roboto:ital,wght@0,100;0,300;0,400;0,500;0,700;0,900;1,100;1,300;1,400;1,500;1,700;1,900&display=swap');
/* Paleta de cores */
:root
{
    --darkBlue: #185F8F;
    --Blue: #3282B8;
    --ligthBlue: #87CFFF;
    --darkBlue-shadow: #185f8fc5;
}

/* configurações gerais */
*
{
    margin: 0%;
    padding: 0%;
    font-family: 'Roboto Condensed', sans-serif;
    color: var(--darkBlue);
    position: relative;   
}

html
{
    overflow-x: hidden;
}

input
{
    border: none;
}

h1
{
    font-size: clamp(1rem, 8vw, 3rem);
}

body
{
    
    overflow-x: hidden;
}

button
{
    background: none;
    border: none;
}

header
{
    position: absolute;
    display: flex;
    flex-wrap: wrap;
    flex-direction: row;
    justify-content: space-around;
    width: 100%;
    margin-top: 0%;
    z-index: 100;
}

a
{
    text-decoration: none;
}

a:hover
{
    color: var(--ligthBlue);
}

a:active
{
    color: var(--Blue);
}

footer
{
    margin-bottom: 0%;
    width: 100%;
}

footer p
{
    font-size: clamp(1rem, 4vw, 2rem);
    margin-top: 2%;
    color: white;
}

footer h2
{
    font-size: clamp(1rem, 6vw, 2rem);
    color: white;
}

footer h4
{
    color: white;
}

/* header */
.headerContainer
{
    display: flex;
    flex-direction: row;
    justify-content: space-around;
    align-items: center;
    width: 90%;
    border-bottom: 1px solid var(--darkBlue);
}

.logo
{
    width: 23%;
}

.logoI
{
    display: flex;
    flex-direction: row;
    justify-content: space-around;
    align-items: center;
    gap: 20px;
}

.nav
{
    display: flex;
    flex-direction: column;
    justify-content: space-around;
    gap: 5px;
}

.nav div
{
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: space-around;
    gap: 20px;
}


.nav a
{
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: space-around;
    font-size: clamp(1rem, 2vw, 1.2rem);
}

.nav p
{
    font-size: medium;
}

.nav img
{
    width: 30px;
}

.navBar
{
   visibility: hidden;
}

.navIcon
{
    transform: translateX(1000px);
}

.link-reserva-Min
{
    position: absolute;
    z-index: 3;
    margin-top: 35%;
    width: 100%;
    border-radius: 20px;
}

/* footer mobile */
.footer
{
    display: flex;
    justify-content:space-between;
}

.redes
{
    position: absolute;
    top: 67%;
    left: 55%;
    width: 50%;
    z-index: 3;
}

.redes_icon
{
    display: flex;
    flex-direction: row;
    gap: 20px;
}

.redes_icon_cont
{
    display: flex;
    flex-direction: row;
    gap: 20px;
    margin-left: 20%;
}

.Large_Logo
{
    width: 50%;
    border-right: 2px solid white;
    padding-right: 10px;
    z-index: 3;
}

.footer_img_P
{
    visibility: hidden;
    width: 100%;
    z-index: 1;
}

.footer_logo
{
    position: absolute;
    display: flex;
    width: 95%;
    top: 33%;
    left: 2%;
    padding-bottom: 3%;
    gap: 20px;
    z-index: 3;
}

.datas
{
    position: absolute;
    display: flex;
    flex-direction: column;
    top: 65%;
    left: 2%;
    width: 50%;
    z-index: 3;
}

.datas h2
{
    margin-right: 1%;
}

.horas
{
    display: flex;
    flex-direction: column;
    align-items: flex-start;
}

.datas dl dt
{
    font-size: clamp(1rem, 4vw, 2rem);
    color: white;
}

/* Swiper de imagens */
.swiper 
{
    width: 100%;
    margin-top:20%;
    box-shadow: 0px 0px 5px 2px gray;
}

.swiperMod
{
    width: 100%;
    height: 200px;
    margin-top: 0%;
}

.swiper-slide 
{
    text-align: center;
    font-size: 18px;
    background: #fff;
    z-index: 3;

    /* Center slide text vertically */
    display: -webkit-box;
    display: -ms-flexbox;
    display: -webkit-flex;
    display: flex;
    -webkit-box-pack: center;
    -ms-flex-pack: center;
    -webkit-justify-content: center;
    justify-content: center;
    -webkit-box-align: center;
    -ms-flex-align: center;
    -webkit-align-items: center;
    align-items: center;
}

.swiper-slide img {
    display: block;
    width: 100%;
    height: 100%;
    object-fit: cover;
}

.slide
{
    width: 80%;
}

.border
{
    margin-top: 10%;
    align-self: center;
    width: 80%;
    border-bottom: 2px solid var(--Blue);
    z-index: 4;
}

/* PC */
.container_home_pc
{
    display: flex;
    flex-direction: column;
    flex-wrap: nowrap;
    justify-content: center;
    align-items: center;
}

.container_home_pc button
{
    width: 600px;
    height: 150px;
    margin: 10%;
    margin-top: 5%;
    background-color:var(--ligthBlue);
    box-shadow: 0px 2px 7px gray;
    border-radius: 50px;
}

.container_home_pc button:hover
{
    background-color: #65c1ff;
}

.container_home_pc button:active
{
    transform: translateY(2px);
    box-shadow: 0px 0px 0px ;
}

.container_home_pc button h1
{
    color: white;
    text-shadow: 1px 1px 2px #000;
}

.img_home_pc
{
    display: flex;
    flex-direction: row;
    justify-content: center;
    margin-bottom: 5%;
    gap: 30px;
    margin-top: 5%;
}

.section
{
    display: flex;
    flex-direction: column;
    width: 25%;
}

.section h2
{
    margin-top:10%;
    z-index: 2;
}

.section p
{
    margin-top:5%;
    margin-left: 5%;
    text-align: justify;
    z-index: 2;
}

.a h1
{
    color: #185F8F;
}

.box
{
    width: 100%;
    margin-top:10%;
    border-radius: 20px;
    box-shadow: 2px 5px 5px var(--Blue);
    z-index: 2;
}

.swiper_pc
{
    width: 80%;
}

.reduce
{
    margin-top: 10%;
}

.border_pc
{
    margin:10%;
    margin-top: 0%;
    margin-bottom: 5%;
    width: 80%;
    border-bottom: 2px solid var(--Blue);
    z-index: 4;
}

@media screen and ( min-width: 1700px) 
{
    .swiper_pc
    {
        width: 70%;
    }
    .img_home_pc
    {
        width: 90%;
    }
    .border_pc
    {
        width: 70%;
    }
}

/* footer Pc */
.footer_Pc
{
    margin-bottom: 0%;
}

.footer_Pc div pre
{
    font-size: clamp(1rem, 3vw, 1.5rem);
    color:white;
}

.footer_logo_Pc
{
    position: absolute;
    display: flex;
    bottom: 40%;
    left: 2%;
    padding-bottom: 3%;
    gap: 20px;
    z-index: 3;
}

.footer_logo_Pc img
{
    width: 200px;
}

.direitos
{
    position: absolute;
    display: flex;
    justify-content: center;
    border-top: solid 2px #fff;
    color: white;
    font-size: clamp(0.90rem, 3vw, 1.5rem);
    width: 90%;
    margin-left: 5%;
    padding: 5px;
    bottom: 5px;
    z-index: 3;
}

.direitos a
{
    color: white;
}

.datas_Pc
{
    position: absolute;
    display: flex;
    flex-direction: column;
    bottom: 10%;
    left: 2%;
    width: 50%;
    z-index: 3;
}

.datas_Pc h2
{
    margin-right: 1%;
}

.horas
{
    display: flex;
    flex-direction: column;
    align-items: flex-start;
}

.datas_Pc dl dt
{
    font-size: clamp(1rem, 3vw, 1.5rem);
    color: white;
}

.footer_img
{
    z-index: 1;
}

/* Sobre Pc */
.container_sobre_Pc
{
    display: flex;
    flex-direction: column;
    align-items: center;
}

.container_sobre_Pc h1
{
    text-decoration: underline;
    margin-left: 5%;
    margin-bottom: 5%;
    z-index: 2;
}

.container_Pc
{
    margin-top: 10%;
}

.container_Pc img
{
    width: 90%;
    margin-left: 5%;
    margin-right: 5%;
    z-index: 1;
}

.container_Pc p
{
    position: absolute;
    font-size: clamp(1em, 4vw, 1.9rem);
    margin: 17%;
    margin-top: 10%;
    width: 70%;
    z-index: 2;
}

.sobre_img_Pc
{
    display: flex;
    flex-direction: column;
    align-items: center;
    margin: 5%;
    margin-top: 2%;
}

.container_img_Pc
{
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    border-radius: 20px;
    padding: 2%;
    width: 100%;
    gap: 31px;
}

.container_img_Pc img
{
    width: 100%;
}

.container_img_Pc img
{
    width: 31.2%;
    border-radius: 20px;
}

/* section mobile */
.button
{
    width: 80%;
    height: 150px;
    margin: 10%;
    margin-top: 5%;
    background-color:var(--ligthBlue);
    box-shadow: 0px 2px 7px gray;
    border-radius: 50px;
}

.button h1
{
    font-size: clamp(1em, 7vw, 2rem);             
    color: white;
    text-shadow: 1px 1px 2px #000;
}

.button:active {
    transform: translateY(5px);
    box-shadow: 0px 0px 0px ;
}

.wave1
{
    position: absolute;
    width: 100%;
    z-index:1;
}

.section_mob
{       
    margin-top: 60%;
}

.container_section
{
    margin-top: 10%;
    margin-bottom: 80%;
}

.section_mob div img
{
    width: 90%;
    margin:5%;
    margin-bottom: 0%;
    border-radius: 20px;
    box-shadow: 2px 5px 5px var(--Blue);
    z-index: 2;
}

.titulos
{
    position: absolute;
    font-size: clamp(1rem, 5vw, 2rem);
    margin-top: 10%;
    margin-left: 2%;
    z-index: 3;
}

.textos
{
    position: absolute;
    font-size: clamp(1rem, 4vw, 2rem);
    margin-top: 20%;
    margin-left: 5%;
    margin-right: 5%;
    text-align: justify;
    z-index: 3;
}

.phone
{
    transform: translateX(5000px);
}

/* mobile */
@media screen and ( max-width: 700px) 
{

    body
    {   
        overflow-x: hidden;
    }
    .phone
    {
        transform: translateX(0px);
    }

    .footer_img_P
    {
        visibility: visible;
        width: 100%;
    }

    a:hover
    {
        color: var(--darkBlue);  
    }
    
    .nav
    {
        position: absolute;
        visibility: hidden;
    }
    
    .navIcon
    {
        position:initial;
        transform: translateX(0px);
    }

    .navBar
    {
        width: 90%;
        display: flex;
        flex-direction: column;
        align-items: flex-start;
        text-decoration: underline;
        visibility: visible;
        background-color: white;
        gap: 5px;
        padding-top: 2%;
        padding-bottom: 1em;
        border-radius: 0px 0px 10px 10px;
        box-shadow: 0px 2px 5px 0px var(--darkBlue-shadow);
        z-index: 2;
    }

    .navBar a
    {
        font-size: clamp(1rem,6vw,2rem);
        margin-left: 5%;
    }

    .nav_icon
    {
        display: flex;
        align-items: center;
        width: 100%;
        gap: 10px;
    }
    
    .nav_icon img
    {
        width: clamp(1rem,6vw,2rem);
    }

    .android
    {
        visibility: visible;
    }
    
    .headerContainer
    {
        gap: 32px;
    }

    .tittle
    {
        font-size: x-large;
    }   
    .link-reserva1
    {
        font-size: 125%;
    }

    .containerIMGs
    {
        display: flex;
        flex-direction: column;
        justify-content:space-around;
        gap: 10px;
    }

    .space
    {
        margin-top: 25%;
    }

    .containerIMGs2
    {
        display: flex;
        flex-direction: column;
        justify-content:space-around;
        gap: 150px;
    }

    .redes_logo
    {
        width: clamp(1rem, 8vw, 2.5rem);
    }

    .container_big
    {
        display: flex;
        flex-direction: column;
        padding-bottom: 50px;
        border-bottom-width: 80%;
        margin-bottom: 10%;
    }

    .container_big_div
    {
        margin-top: 20%;
    }

    .container_big_div h1
    {
        position: absolute;
        margin-top: 15%;
        margin-left: 15%;
        text-decoration:underline;
        z-index: 3;
    }

    .container_big_div div
    {
        margin-top: 20%;
        width: 100%;
        height: 800px;
    }
    .container_big p
    {
        position: absolute;
        text-align: justify;
        margin: 10%;
        margin-left: 10%;
        margin-bottom: 0%;
        width: 80%;
        font-size: clamp(1rem, 5vw, 2rem);
        z-index: 3;
    }

    .back_big
    {
        width: 100%;
        z-index: 1;
    }

    .back_img
    {
        position: absolute;
        width: 100%;
        z-index: 1;
    }

    .container_fotos
    {
        display: flex;
        flex-direction: column;
        margin-top: 10%;
    }

    .container_fotos h1
    {
        margin-left: 40%;
        margin-right: 40%;
    }
}